Package org.bukkit.material

# Class TexturedMaterial

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.TexturedMaterial

All Implemented Interfaces:
  `Cloneable`

Direct Known Subclasses:
  `MonsterEggs`, `SmoothBrick`, `Step`

@Deprecated public abstract class TexturedMaterial extends MaterialData
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents textured materials like steps and smooth bricks

## Constructor Summary

Constructors
Constructor
Description
`TexturedMaterial(Material m)`
Deprecated.
`TexturedMaterial(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`TexturedMaterial`
`clone()`
Deprecated.
`Material`
`getMaterial()`
Deprecated.
Gets the current Material this block is made of
`protected int`
`getTextureIndex()`
Deprecated.
Magic value
`abstract List<Material>`
`getTextures()`
Deprecated.
Retrieve a list of possible textures.
`void`
`setMaterial(Material material)`
Deprecated.
Sets the material this block is made of
`protected void`
`setTextureIndex(int idx)`
Deprecated.
Magic value
`String`
`toString()`
Deprecated.

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TexturedMaterial

public TexturedMaterial(Material m)
Deprecated.

### TexturedMaterial

@Deprecated public TexturedMaterial(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### getTextures

public abstract List<Material> getTextures()
Deprecated.
Retrieve a list of possible textures. The first element of the list will be used as a default.

Returns:
  a list of possible textures for this block

### getMaterial

public Material getMaterial()
Deprecated.
Gets the current Material this block is made of

Returns:
  Material of this block

### setMaterial

public void setMaterial(Material material)
Deprecated.
Sets the material this block is made of

Parameters:
  `material` - New material of this block

### getTextureIndex

@Deprecated protected int getTextureIndex()
Deprecated.
Magic value
Get material index from data

Returns:
  index of data in textures list

### setTextureIndex

@Deprecated protected void setTextureIndex(int idx)
Deprecated.
Magic value
Set material index

Parameters:
  `idx` - - index of data in textures list

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `MaterialData`

### clone

public TexturedMaterial clone()
Deprecated.

Overrides:
  `clone` in class `MaterialData`